Name: H5Tclose
Signature:
  herr_t `H5Tclose`(hid_t `type_id` )
Purpose:
  Releases a datatype.
Description:
  `H5Tclose` releases a datatype. Further access through the datatype identifier is illegal. Failure to release a datatype with this call will result in resource leaks.
Parameters:

hid_t `type_id` | Identifier of datatype to release.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tclose_f

      SUBROUTINE h5tclose_f(type_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5tclose_f